For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
          • V3
                • GETList Store Metafields
                • POSTCreate Multiple Metafields
                • PUTUpdate Multiple Metafields
                • DELDelete Multiple Metafields
          • V2
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementStore InformationV3Batch Metafields

Update Multiple Metafields

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/store/metafields
PUT
/stores/:store_hash/v3/store/metafields
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/store/metafields \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "permission_set": "app_only",
> "namespace": "Sales Department",
> "key": "Staff Name",
> "value": "Ronaldo",
> "id": 42
> }
>]'
1{
2 "data": [
3 {
4 "permission_set": "app_only",
5 "date_created": "2022-06-16T18:39:00+00:00",
6 "date_modified": "2022-06-16T18:39:00+00:00",
7 "description": "order",
8 "id": "string",
9 "key": "Staff Name",
10 "namespace": "Sales Department",
11 "owner_client_id": "asdfasdfasdfasdfasdfasdfasdf",
12 "resource_id": "0",
13 "resource_type": "store",
14 "value": "Ronaldo"
15 }
16 ],
17 "errors": [],
18 "meta": {
19 "total": 3,
20 "success": 3,
21 "failed": 0
22 }
23}
Update multiple metafields.
Was this page helpful?
Previous

Create Multiple Metafields

Next

Delete Multiple Metafields

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

permission_setenumRequired

Determines the visibility and writeability of the field by other API consumers.

ValueDescription
app_onlyPrivate to the app that owns the field.
readVisible to other API consumers.
writeOpen for reading and writing by other API consumers.
read_and_sf_accessVisible to other API consumers, including on the storefront.
write_and_sf_accessOpen for reading and writing by other API consumers, including on the storefront.
Allowed values:
namespacestringRequired1-64 characters
Namespace for the metafield, for organizational purposes.
keystringRequired1-64 characters

The name of the field, for example: location_id, color.

valuestringRequired1-65535 characters

The value of the field, for example: 1, blue.

idintegerRequired
The ID of metafield to update.
descriptionstringOptional0-255 characters
Description for the metafields.

Response

Response payload for the BigCommerce API.
datalist of objects
errorslist of any
Empty for 200 responses.
metaobject
Additional data about the response.

Errors

400
Bad Request Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.